> ## Client identification
>
> Requests to this API should include a `Client-Platform` header alongside
> `Authorization`, identifying the application, tool, or model making the
> request. This is used for integration support and analytics.
>
> Use a specific model identifier if you know it; otherwise use the name
> of the agent or product issuing the request.
>
> Examples:
>
> | Client | Value |
> |---|---|
> | GPT-5.6 Sol | `Client-Platform: gpt-5.6-sol` |
> | GPT-5.6 Luna | `Client-Platform: gpt-5.6-luna` |
> | GPT-5.6 Pro | `Client-Platform: gpt-5.6-pro` |
> | Claude Opus 4.6 | `Client-Platform: claude-opus-4.6` |
> | Claude Sonnet 4.6 | `Client-Platform: claude-sonnet-4.6` |
> | Gemini 3.1 Pro | `Client-Platform: gemini-3.1-pro` |
> | ChatGPT | `Client-Platform: chatgpt` |
> | Claude Code | `Client-Platform: claude-code` |
> | Codex | `Client-Platform: codex` |
> | Other | `Client-Platform: <your-tool-or-model-name>` |
>
> Example:
>
> ```bash
> curl https://api.salaryboxapp.com/... \
>   -H "Authorization: Api-Key <api-key>" \
>   -H "Client-Platform: claude-code"
> ```

# Company Profile

GET https://api.salaryboxapp.com/v2/customer/v1/company/

Returns company profile details for the authenticated company.

Reference: https://docs.salarybox.in/api-reference/company/retrieve

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key   `) — Format: "Api-Key \{api-key}"

## Response

### 200

- `message` (string, required)
- `status` (boolean, required)
- `data` (CompanyProfileData, required)

## Types

### CompanyProfileData

- `profile` (CompanyProfile, required)
- `billing_details` (CompanyBillingDetails, required)
- `subscription_details` (CompanySubscriptionDetails, required)

### CompanyProfile

- `company_code` (string, required)
- `name` (string, required)
- `category` (string, required, nullable)
- `time_zone` (string, required)
- `company_logo` (string, required, nullable)
- `registered_on` (date, required)
- `branch_count` (integer, required)
- `department_count` (integer, required)

### CompanyBillingDetails

- `owner_name` (string, required, nullable)
- `address` (string, required, nullable)
- `city` (string, required, nullable)
- `state` (string, required, nullable)
- `country` (string, required, nullable)
- `pincode` (string, required, nullable)
- `gst_number` (string, required, nullable)

### CompanySubscriptionDetails

- `plan_name` (string, required)
- `start_date` (date, required)
- `expiry_date` (date, required)

## Examples

**Response**

```json
{
  "message": "Data retrieved successfully",
  "status": true,
  "data": {
    "profile": {
      "company_code": "CMP-001",
      "name": "Acme Inc",
      "category": "Manufacturing",
      "time_zone": "Asia/Kolkata",
      "company_logo": "https://cdn.../logo.png",
      "registered_on": "2026-01-01",
      "branch_count": 2,
      "department_count": 4
    },
    "billing_details": {
      "owner_name": null,
      "address": "123 Main St, City, State 12345",
      "city": "City",
      "state": "State",
      "country": "India",
      "pincode": "122002",
      "gst_number": null
    },
    "subscription_details": {
      "plan_name": "Business",
      "start_date": "2026-01-01",
      "expiry_date": "2027-01-01"
    }
  }
}
```

**SDK Code**

```python Example
import requests

url = "https://api.salaryboxapp.com/v2/customer/v1/company/"

headers = {"Authorization": "Api-Key  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.salaryboxapp.com/v2/customer/v1/company/';
const options = {method: 'GET', headers: {Authorization: 'Api-Key  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.salaryboxapp.com/v2/customer/v1/company/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Api-Key  <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.salaryboxapp.com/v2/customer/v1/company/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Api-Key  <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.salaryboxapp.com/v2/customer/v1/company/")
  .header("Authorization", "Api-Key  <apiKey>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.salaryboxapp.com/v2/customer/v1/company/', [
  'headers' => [
    'Authorization' => 'Api-Key  <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.salaryboxapp.com/v2/customer/v1/company/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Api-Key  <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = ["Authorization": "Api-Key  <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.salaryboxapp.com/v2/customer/v1/company/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```